/**
 * Created by Tony on 2018/8/2.
 */

let fontMapObj = {
    "宋体": "Smart"
    ,"楷体": "simkai"
    ,"黑体": "simhei"
};
//下划线在option中支持
//另注意：PDFkit设置字体的时候会检测是否同源，也就是说，如果是同一种字体转换不同的特性(如粗体、斜体)，那么在设置的时候会无效
//      比如前一种是普通的字体，后来想设置这种字体的斜体，实际上这种设置会失效

module.exports = {
    getActualFont: getActualFont
}

function getActualFont(mapName, isBold, isItalic) {
    let rst = ["Smart"];
    if (fontMapObj[mapName]) rst[0] = fontMapObj[mapName];
    if (isBold) {
        rst.push("_bold");
    }
    if (isItalic) {
        rst.push("_italic");
    }
    return rst.join("");
}
